
rgw - Bug #9529

./common/ceph_crypto.h: 83: FAILED assert(s == SECSuccess)

09/18/2014 05:09 PM - Sage Weil

Status: Resolved % Done: 0%

Priority: Urgent Spent time: 0.00 hour

Assignee: Yehuda Sadeh   

Category:    

Target version:    

Source: Q/A Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

2014-09-18T16:50:52.232 INFO:tasks.rgw.client.0.plana18.stdout:./common/ceph_crypto.h: In function

 'void ceph::crypto::Digest::Update(const byte*, size_t)' thread 7f5e6d7fa700 time 2014-09-18 16:5

0:52.229367

2014-09-18T16:50:52.232 INFO:tasks.rgw.client.0.plana18.stdout:./common/ceph_crypto.h: 83: FAILED 

assert(s == SECSuccess)

2014-09-18T16:50:52.232 INFO:tasks.rgw.client.0.plana18.stdout: ceph version 0.85-854-g0519225 (05

19225beb3f904b6a68490bcca2b10e43cb9e66)

2014-09-18T16:50:52.233 INFO:tasks.rgw.client.0.plana18.stdout: 1: (ceph::__ceph_assert_fail(char 

const*, char const*, int, char const*)+0x7f) [0x7f5ecc3c230f]

2014-09-18T16:50:52.233 INFO:tasks.rgw.client.0.plana18.stdout: 2: radosgw() [0x469cb7]

2014-09-18T16:50:52.233 INFO:tasks.rgw.client.0.plana18.stdout: 3: (RGWPutObjProcessor_Atomic::han

dle_data(ceph::buffer::list&, long, ceph::crypto::MD5*, void**, bool*)+0x301) [0x51fbb1]

2014-09-18T16:50:52.233 INFO:tasks.rgw.client.0.plana18.stdout: 4: radosgw() [0x5570bc]

2014-09-18T16:50:52.233 INFO:tasks.rgw.client.0.plana18.stdout: 5: (RGWPutObj::execute()+0x613) [0

x55f093]

2014-09-18T16:50:52.234 INFO:tasks.rgw.client.0.plana18.stdout: 6: radosgw() [0x4cbb3c]

2014-09-18T16:50:52.234 INFO:tasks.rgw.client.0.plana18.stdout: 7: radosgw() [0x4cc327]

2014-09-18T16:50:52.234 INFO:tasks.rgw.client.0.plana18.stdout: 8: radosgw() [0x4c5c23]

2014-09-18T16:50:52.234 INFO:tasks.rgw.client.0.plana18.stdout: 9: radosgw() [0x4c76ec]

2014-09-18T16:50:52.234 INFO:tasks.rgw.client.0.plana18.stdout: 10: (()+0x7e9a) [0x7f5ecb4b4e9a]

2014-09-18T16:50:52.235 INFO:tasks.rgw.client.0.plana18.stdout: 11: (clone()+0x6d) [0x7f5eca6c63fd

]

ubuntu@teuthology:/var/lib/teuthworker/archive/sage-2014-09-18_15:28:29-rgw-giant-distro-basic-multi/494643

(and many others in this run)   

This si probably from the hash pushdown patch?

History

#1 - 09/23/2014 08:52 AM - Yehuda Sadeh

Fixed by commit:7b137246b49a9f0b4d8b8d5cebfa78cc1ebd14e7

#2 - 09/23/2014 08:52 AM - Yehuda Sadeh

- Status changed from New to Resolved
